package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.drawing_mode.LineSegEditorDrawMode;
import smart_gs.drawing_tool.drawing_mode.LineSegEditorSemiAutomaticMode;
import smart_gs.smleditor.swingui.LineSegEditor;

public class LineSegEditorSemiAutomaticLineSegmentationActionListener implements ActionListener {
	LineSegEditor editor;

	public LineSegEditorSemiAutomaticLineSegmentationActionListener(LineSegEditor editor) {
		this.editor = editor;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		LineSegEditorSemiAutomaticMode tmp = LineSegEditorSemiAutomaticMode.getInstance();
		tmp.setEditor(editor);
		editor.setMode(tmp);
	}
}
